<?php

define('_IN_JOHNCMS', 1);

require('incfiles/core.php');
$textl = $lng['registration'];
$headmod = 'registration';
require('incfiles/head.php');
$lng_reg = core::load_lng('registration');
if (core::$deny_registration || !$set['mod_reg']) {
echo '<p>' . $lng_reg['registration_closed'] . '</p>';
require('incfiles/end.php');
exit;
}

$captcha = isset($_POST['captcha']) ? trim($_POST['captcha']) : NULL;
$reg_nick = isset($_POST['nick']) ? trim($_POST['nick']) : '';
$lat_nick = functions::rus_lat(mb_strtolower($reg_nick));
$lat_nick=rw($lat_nick);

$lat_nick=str_replace('-','',$lat_nick);

$lat_nick=trim($lat_nick);

$reg_pass = isset($_POST['password']) ? trim($_POST['password']) : '';
$reg_mibile = isset($_POST['mibile']) ? functions::check(trim($_POST['mibile'])) : '';
$day= isset($_POST['dayb']) ? functions::check(intval($_POST['dayb'])) : '';

$month= isset($_POST['monthb']) ? functions::check(intval($_POST['monthb'])) : '';

$year= isset($_POST['year']) ? functions::check(intval($_POST['year'])) : '';
$reg_sex = isset($_POST['sex']) ? functions::check(mb_substr(trim($_POST['sex']), 0, 2)) : '';
echo '<div class="main-xmenu"><div class="danhmuc"><b>' . $lng['registration'] . '</b></div>';
if (isset($_POST['submit'])) {
// Принимаем переменные
$error = array();

// Проверка Логина
if (empty($reg_nick)) {
$error['login'][] = $lng_reg['error_nick_empty'];
} elseif (mb_strlen($reg_nick) < 2 || mb_strlen($reg_nick) > 30) {
$error['login'][] = $lng_reg['error_nick_lenght'];
}

// Проверка пароля
if (empty($reg_pass)) {
$error['password'][] = $lng['error_empty_password'];
} elseif (mb_strlen($reg_pass) < 3 || mb_strlen($reg_pass) > 30) {
$error['password'][] = $lng['error_wrong_lenght'];
}

if (preg_match('/[^\dA-Za-z]+/', $reg_pass)) {
$error['password'][] = $lng['error_wrong_symbols'];
}
// Проверка пола
if ($reg_sex != 'm' && $reg_sex != 'zh') {
$error['sex'] = $lng_reg['error_sex'];
}

if (preg_match('#^[a-z0-9\-\._]+\@([a-z0-9-_]+\.)+([a-z0-9]{2,4})\.?$#ui', $reg_mibile)) {
$sql="`mail`='$reg_mibile',";

if(empty($reg_mibile)) {
$error['mibile'][]='Vui lòng nhập email';

}
if(mysql_result(mysql_query("select count(*) from `users` where `mail`='$reg_mibile'"), 0) > 0) {
$error['mibile'][]='Email này đã đk đăng kí, vui lòng sử dụng email khác.';
}
} else {
$reg_mibile=intval(abs($reg_mibile));

if(strlen($reg_mibile) > 11 && strlen($reg_mibile) < 9) {
$error['miblie'][]='Nhập số điện thoại của bạn.';
}

if(mysql_result(mysql_query("select count(*) from `users` where `mibile`='$reg_mibile'"), 0) > 0) {
$error['mibile'][]='Số điện thoại đã đăng kí.';
}
$reg_mibile='0'.$reg_mibile.'';

$sql="`mibile`='$reg_mibile',";
}


// Проверка кода CAPTCHA
if (!$captcha
|| !isset($_SESSION['code'])
|| mb_strlen($captcha) < 4
|| $captcha != $_SESSION['code']
) {
$error['captcha'] = $lng['error_wrong_captcha'];
}
unset($_SESSION['code']);
if($day < 1 || $day > 31 || $month < 1 || $month > 12 || $year > 2005 || $year < 1900) {
$error['sn']='Vui lòng nhập ngày tháng năm sinh chính xác. ';
}
// Проверка переменных
if (empty($error)) {
$pass = md5(md5($reg_pass));

// Проверка, занят ли ник
$req = mysql_query("SELECT * FROM `users` WHERE `name_lat`='" . mysql_real_escape_string($lat_nick) . "'");
if (mysql_num_rows($req) != 0) {
$lat_nick=''.$lat_nick.'.'.rand(1,200).'';

}
}
if (empty($error)) {
$preg = $set['mod_reg'] > 1 ? 1 : 0;
mysql_query("INSERT INTO `users` SET
`name` = '" . mysql_real_escape_string($reg_nick) . "',
`name_lat` = '" . mysql_real_escape_string($lat_nick) . "',
`password` = '" . mysql_real_escape_string($pass) . "',

$sql
`sex` = '$reg_sex',
`rights` = '0',
`ip` = '" . core::$ip . "',
`ip_via_proxy` = '" . core::$ip_via_proxy . "',
`browser` = '" . mysql_real_escape_string($agn) . "',
`datereg` = '" . time() . "',
`lastdate` = '" . time() . "',
`sestime` = '" . time() . "',
`preg` = '$preg',
`set_user` = '',
`dayb`='$day',

`monthb`='$month',

`yearofbirth`='$year',

`set_forum` = '',
`tien` = '500',
`vnd` = '100',
`sucmanh` = '500',
`sucmanhtong` = '500',
`set_mail` = '',
`smileys` = ''
") or exit(__LINE__ . ': ' . mysql_error());
$bot = 'Chào mừng bạn @[blue]'.$reg_nick.'[/blue] vừa gia nhập cộng đồng!';
mysql_query("INSERT INTO `guest` SET
`adm` = '0',
`time` = '" . time() . "',
`user_id` = '2',
`name` = 'BOT',
`text` = '" . mysql_real_escape_string($bot) . "',
`ip` = '0000',
`browser` = 'IPHONE'
");

$usid = mysql_insert_id();

// Отправка системного сообщения
$set_mail = unserialize($set['setting_mail']);

if (!isset($set_mail['message_include'])) {
$set_mail['message_include'] = 0;
}

if ($set_mail['message_include']) {
$array = array('{LOGIN}', '{TIME}');
$array_replace = array($reg_nick, '{TIME=' . time() . '}');

if (empty($set['them_message'])) {
$set['them_message'] = $lng_mail['them_message'];
}

if (empty($set['reg_message'])) {
$set['reg_message'] = $lng['hi'] . ", {LOGIN}\r\n" . $lng_mail['pleased_see_you'] . "\r\n" . $lng_mail['come_my_site'] . "\r\n" . $lng_mail['respectfully_yours'];
}

$theme = str_replace($array, $array_replace, $set['them_message']);
$system = str_replace($array, $array_replace, $set['reg_message']);
mysql_query("INSERT INTO `cms_mail` SET
`user_id` = '0',
`from_id` = '" . $usid . "',
`text` = '" . mysql_real_escape_string($system) . "',
`time` = '" . time() . "',
`sys` = '1',
`them` = '" . mysql_real_escape_string($theme) . "'
");
}

echo '<div class="menu list-top"><p><h3>' . $lng_reg['you_registered'] . '</h3>' . $lng_reg['your_id'] . ': <b>' . $usid . '</b><br/>' . $lng_reg['your_login'] . ': <b>' . $reg_nick . '</b><br/>' . $lng_reg['your_password'] . ': <b>' . $reg_pass . '</b></p>';

if ($set['mod_reg'] == 1) {
echo '<p><span class="red"><b>' . $lng_reg['moderation_note'] . '</b></span></p>';
} else {
$_SESSION['uid'] = $usid;
$_SESSION['ups'] = md5(md5($reg_pass));


header('location: '.$home.'/dangnhap.php?n='.$reg_mibile.'&p='.$reg_pass.'');

}

echo '</div>';
require('incfiles/end.php');
exit;
}
}

/*
-----------------------------------------------------------------
Форма регистрации
-----------------------------------------------------------------
*/
if ($set['mod_reg'] == 1) echo '<div class="menu list-top">' . $lng_reg['moderation_warning'] . '</div>';
echo '<form action="dangky.php" method="post">' .
'<div class="menu list-top">' . $lng_reg['login'] . ' ( Có thể dùng dấu và khoảng cách )</div>' .
(isset($error['login']) ? '<span class="red"><small>' . implode('<br />', $error['login']) . '</small></span><br />' : '') .
'<input type="text" name="nick" maxlength="30" value="' . htmlspecialchars($reg_nick) . '"' . (isset($error['login']) ? ' style="background-color: #FFCCCC"' : '') . '/><br />' .
'<div class="menu list-top">' . $lng_reg['password'] . '</div>' .
(isset($error['password']) ? '<span class="red"><small>' . implode('<br />', $error['password']) . '</small></span><br />' : '') .
'<input type="text" name="password" maxlength="30" value="' . htmlspecialchars($reg_pass) . '"' . (isset($error['password']) ? ' style="background-color: #FFCCCC"' : '') . '/><br/>' .
'<small></small>' .
'<b>Giới Tính : <b>' .
(isset($error['sex']) ? '<span class="red" style="color: red;"><small>' . $error['sex'] . '</small></span><br />' : '') .
'<div class="menu list-top"><input name="sex" type="radio" value="m">Nam <input name="sex" type="radio" value="zh">Nữ</div>' .
'<div class="menu list-top">Email hoặc số điện thoại (Nhập chính xác để đăng nhập)</div>' .
'<input name="mibile" value="' . htmlspecialchars($reg_mibile) . '"></input><br />';
echo '' .
(isset($error['mibile']) ? '<span class="red" style="color: red;"><small>' . implode('<br />', $error['mibile']) . '</small></span><br />' : '') . '';

echo '<div class="menu list-top">Ngày Sinh : Ngày / Tháng / Năm (Riêng tư)<br />' .
    '<input type="text" value="' . $day . '" size="2" maxlength="2" name="dayb" />.' .
    '<input type="text" value="' . $month . '" size="2" maxlength="2" name="monthb" />.' .
    '<input type="text" value="' . $year . '" size="4" maxlength="4" name="year" /></div>';

echo '' .
(isset($error['sn']) ? '<span class="red" style="color: red;"><small>' . implode('<br />', $error['sn']) . '</small></span><br />' : '') . '';





echo '<div class="menu list-top">' .
'' . $lng_reg['captcha'] . '</div>' .
'<img src="captcha.php?r=' . rand(1000, 9999) . '" alt="' . $lng_reg['captcha'] . '" border="1"/><br />' .
(isset($error['captcha']) ? '<span class="red"><small>' . $error['captcha'] . '</small></span><br />' : '') .
'<input type="text" size="5" maxlength="5"  name="captcha" ' . (isset($error['captcha']) ? ' style="background-color: #FFCCCC"' : '') . '/><br />' .
'<small>' . $lng_reg['captcha_help'] . '</small>' .
'<div class="menu list-top"><input type="submit" name="submit" value="' . $lng_reg['registration'] . '"/></div></form>' .
'<div class="menu list-top"><small>' . $lng_reg['registration_terms'] . '</small></div></div>';
echo '</div>';
require('incfiles/end.php');
