<?php
/**
 * @package     JohnCMSVN
 * @link        http://johncmsvn.com
 * @copyright   Copyright (C) 2014 JohnCMSVN Community
 * @license     LICENSE.txt (see attached file)
 * @version     VERSION.txt (see attached file)
 * @author      Văn Việt
 */

defined('_IN_JOHNADM') or die('Error: restricted access');
$lng_ban = core::load_lng('ban');
echo '<div class="main-xmenu">';
switch ($mod) {
    case 'amnesty':
        if ($rights < 9) {
            echo functions::display_error($lng_ban['amnesty_access_error']);
        } else {
            echo '<div class="danhmuc"><a href="index.php?act=ban_panel"><b>' . $lng['ban_panel'] . '</b></a> › ' . $lng_ban['amnesty'] . '</div>';
            if (isset($_POST['submit'])) {
                $term = isset($_POST['term']) && $_POST['term'] == 1 ? 1 : 0;
                if ($term) {
                    // Очищаем таблицу Банов
                    mysql_query("TRUNCATE TABLE `cms_ban_users`");
                    echo '<div class="menu list-top">' . $lng_ban['amnesty_clean_confirm'] . '</div>';
                } else {
                    // Разбаниваем активные Баны
                    $req = mysql_query("SELECT * FROM `cms_ban_users` WHERE `ban_time` > '" . time() . "'");
                    while ($res = mysql_fetch_array($req)) {
                        $ban_left = $res['ban_time'] - time();
                        if ($ban_left < 2592000) {
                            $amnesty_msg = isset($lng_ban['amnesty']) ? mysql_real_escape_string($lng_ban['amnesty']) : 'Amnesty';
                            mysql_query("UPDATE `cms_ban_users` SET `ban_time`='" . time() . "', `ban_raz`='--$amnesty_msg--' WHERE `id` = '" . $res['id'] . "'");
                        }
                    }
                    echo '<div class="menu list-top">' . $lng_ban['amnesty_delban_confirm'] . '</div>';
                }
            } else {
                echo '<form action="index.php?act=ban_panel&amp;mod=amnesty" method="post">
				<div class="menu list-top">' .
                    '<input type="radio" name="term" value="0" checked="checked" />&#160;' . $lng_ban['amnesty_delban'] . '</div>' .
                    '<div class="menu list-top"><input type="radio" name="term" value="1" />&#160;' . $lng_ban['amnesty_clean'] .
                    '</div><div class="menu list-top"><input type="submit" name="submit" value="' . $lng_ban['amnesty'] . '" />' .
                    '</div></form>' .
                    '<div class="menu list-top"><small>' . $lng_ban['amnesty_help'] . '</small></div>';
            }
            echo '<div class="menu list-top"><a href="index.php?act=ban_panel">' . $lng['ban_panel'] . '</a></div><div class="menu list-top"><a href="index.php">' . $lng['admin_panel'] . '</a></div>';
        }
        break;

    default:
        /*
        -----------------------------------------------------------------
        БАН-панель, список нарушителей
        -----------------------------------------------------------------
        */
        echo '<div class="danhmuc"><a href="index.php"><b>' . $lng['admin_panel'] . '</b></a> › ' . $lng['ban_panel'] . '</div>';
        echo '<div class="menu list-top">' . $lng['sorting'] . ':</div> ';
        if (isset($_GET['count']))
            echo '<div class="menu list-top"><a href="index.php?act=ban_panel">' . $lng['term'] . '</a> | ' . $lng['infringements'] . '</div>';
        else
            echo '<div class="menu list-top">'.$lng['term'] . ' | <a href="index.php?act=ban_panel&amp;count">' . $lng['infringements'] . '</a></div>';
        $sort = isset($_GET['count']) ? 'bancount' : 'bantime';
        $req = mysql_query("SELECT `user_id` FROM `cms_ban_users` GROUP BY `user_id`");
        $total = mysql_num_rows($req);
        $req = mysql_query("SELECT COUNT(`cms_ban_users`.`user_id`) AS `bancount`, MAX(`cms_ban_users`.`ban_time`) AS `bantime`, `cms_ban_users`.`id` AS `ban_id`, `users`.*
        FROM `cms_ban_users` LEFT JOIN `users` ON `cms_ban_users`.`user_id` = `users`.`id`
        GROUP BY `user_id`
        ORDER BY `$sort` DESC
        LIMIT $start, $kmess");
        if (mysql_num_rows($req)) {
            while ($res = mysql_fetch_array($req)) {
                echo '<div class="menu list-top">';
                $arg = array (
                    'header' => '[Baned]<small><a href="../users/profile.php?act=ban&amp;user=' . $res['id'] . '">' . $lng_ban['infringements_history'] . '</a> [' . $res['bancount'] . ']</small>'
                );
                echo functions::display_user($res, $arg);
                echo '</div>';
            }
        } else {
            echo '<div class="menu list-top">' . $lng['list_empty'] . '</div>';
        }
        echo '<div class="menu list-top">' . $lng['total'] . ': ' . $total . '</div>';
        if ($total > $kmess) {
            echo '<div class="menu list-top">' . functions::display_pagination('index.php?act=ban_panel&amp;', $start, $total, $kmess) . '</div>';
            }
        echo '' . ($rights == 9 && $total ? '<div class="menu list-top"><a href="index.php?act=ban_panel&amp;mod=amnesty">' . $lng_ban['amnesty'] . '</a></div>' : '').'';
		echo '<div class="menu list-top"><a href="index.php">' . $lng['admin_panel'] . '</a>';
		echo '</div>';
}
echo '</div>';
?>