<?php
/**
* @package     JohnCMSVN
* @link        http://johncmsvn.com
* @copyright   Copyright (C) 2014 JohnCMSVN Community
* @license     LICENSE.txt (see attached file)
* @version     VERSION.txt (see attached file)
* @author      Văn Việt
*/
define('_IN_JOHNCMS', 1);
require('../incfiles/core.php');
$lng_profile = core::load_lng('profile');
if (!$user_id) {
require('../incfiles/head.php');
echo functions::display_error($lng['access_guest_forbidden']);
require('../incfiles/end.php');
exit;
}
$user = functions::get_user($user);


if (!$user) {
require('../incfiles/head.php');
echo functions::display_error($lng['user_does_not_exist']);
require('../incfiles/end.php');
exit;
}
$array = array(
'chantruycap'  => 'includes/profile',
'chinhsua'     => 'includes/profile',
'canhan'       => 'includes/profile',
'matkhau'      => 'includes/profile',
'caidat'       => 'includes/profile',
'banbe'        => 'includes/profile'
);
$path = !empty($array[$act]) ? $array[$act] . '/' : '';
if (array_key_exists($act, $array) && file_exists($path . $act . '.php')) {
require_once($path . $act . '.php');
} else {
$headmod = 'profile,' . $user['id'];
$textl = $lng['profile'] . ' của ' . htmlspecialchars($user['name']);
require('../incfiles/head.php');
echo '<div class="main-xmenu"><div class="danhmuc"><b>Thông tin nhân vật '.$user['name'].' !</b></div>';
$menu = array();

if ($user['id'] != $user_id && $rights >= 7 && $rights > $user['rights']) {
$menu[] = '<a href="' . $set['homeurl'] . '/' . $set['admp'] . '/index.php?act=usr_del&amp;id=' . $user['id'] . '">Xóa</a>';
}
if ($user['id'] != $user_id && $rights > $user['rights']) {
$menu[] = '<a href="/users/profile.php?act=ban&amp;mod=do&amp;user=' . $user['id'] . '">Cấm</a>';
}    if (!empty($menu)) {        echo '<div class="main-xmenu">' . functions::display_menu($menu) . '</div>';
}
if ($user['dayb'] == date('j', time()) && $user['monthb'] == date('n', time())) {
echo '<div class="gmenu">' . $lng['birthday'] . '!!!</div>';
}
$sm=$user['sucmanh'];
$smt=$user['sucmanhtong'];
if(($sm+$smt)>0) {
$ht=(int)(($sm/($smt))*100).'%';
} else {
$ht='0%';
}
$m=$user['mau'];
$mt=$user['mautong'];
if(($m+$mt)>0) {
$htm=(int)(($m/($mt))*100).'%';
} else {
$htm='0%';
}

echo '<div class="menu list-bottom congdong">
ID: <font color="red">'.$user['id'].'</font></div><div class="menu list-bottom congdong">
<img src="/icon/user.png" alt="icon" style="vertical-align: -3px;"> Level: <span style="font-size:12px;color:green;">'.$user['lever'].'</span>
<span style="font-size:11px;color:#e2e2e2;">|</span> SM: '.$user['sucmanh'].'
<span style="font-size:12px;color:green;">('.$ht.')</span></div>';
echo '<div class="menu list-bottom"><img src="/icon/xu.png" alt="icon" style="vertical-align: -3px;"> Xu: '.$user['tien'].' <span style="font-size:11px;color:#e2e2e2;">|</span> VND: '.$user['vnd'].'</div>';
echo '<div class="menu list-bottom"><img src="/icon/hp.png" alt="icon" style="vertical-align: -3px;"> Hp: '.$user['mau'].' <span style="font-size:11px;color:#e2e2e2;">/</span> '.$user['mautong'].' <span style="font-size:12px;color:green;">('.$htm.')</span></div>';
echo '<div class="menu list-top hot">
<img src="/avatar/'.$user['id'].'.png" alt="'.$user['id'].'" class="avatar_vina"/><b>
<span style="color:#444;">'.nick($user['id']).'</span></b>';
if ($user['sex'] == 'm' ) {
echo ' (Nam)';
} else if ($user['sex'] == 'zh' ) {
echo ' (Nữ)';
} else {
echo ' (Không xác định)';
}

if ($user['id'] == $user_id || $rights == 9 || ($rights == 7 && $rights > $user['rights'])) {
echo '<br>
<a href="/account/edit/'.$user['id'].'" title="Sửa thông tin">Sửa thông tin</a>';
}
echo '</div>';
if ($user['id'] == $user_id || $rights == 9 || ($rights == 7 && $rights > $user['rights'])) {
echo '<div class="menu list-top">
<img src="/icon/pass.png" alt="icon" style="vertical-align: -3px;">
<a href="/account/matkhau/'.$user['id'].'">Đổi mật khẩu</a></div>';
}
if (!empty($user['love'])) {
echo '<div class="menu list-top"><img src="/icon/tinhyeu.png" alt="icon" style="vertical-align: -3px;">';
if ($user['sex'] == 'm' ) {
echo ' Chồng';
} else if ($user['sex'] == 'zh' ) {
echo ' Vợ';
}
echo ' của '.nick($user['love']).'';
echo '</div>';
}
if ($user['id'] != $user_id ) {
echo '<div class="menu list-top">
<img src="/icon/mail.png" alt="icon" style="vertical-align: -3px;">
<a href="/mail/'.$user['id'].'" title="Nhắn tin">Nhắn tin cho '.nick($user['id']).'</a></div>';
echo '<div class="menu list-top">
<img src="/icon/giaitri.gif" alt="icon" style="vertical-align: -3px;">
<a href="/farm/atm.php?act=money&id='.$user['id'].'" title="Send">Chuyển tiền cho '.nick($user['id']).'</a></div>';
}
echo '<div class="menu list-top"><img src="/icon/newpost.png" alt="icon" style="vertical-align: -3px;"> <a href="/users/mypost.php?user='.$user['id'].'">Bài viết của '.$user['name'].'</a></div>';

if ($user['id'] == $user_id ) {
echo '<div class="menu list-top"><img src="/icon/newpost.png" alt="icon" style="vertical-align: -3px;"> <a href="/users/profile.php?act=caidat">Cài đặt</a></div>';
}
echo '<div class="menu list-top">
<img src="/icon/timereg.png" alt="icon" style="vertical-align: -3px;">
tham gia '.view_date($user['datereg']).'</div>';
echo '<div class="menu list-top">
<img src="/images/info.png" alt="icon" style="vertical-align: -3px;">
<span style="color:#444;">'.nick($user['id']).'</span> đang xem '.functions::display_place($user['id'], $user['place']).'</div>';
echo '</div>';
}
//Tường Nhà
$total_friends = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_contact` WHERE `user_id`='{$user['id']}' AND `type`='2' AND `friends`='1'"), 0);
//Hành động
if ($user['id'] != $user_id) {
echo '<div class="list1">';
if (!functions::is_ignor($user['id']) && functions::is_contact($user['id']) != 2) {
if (!functions::is_friend($user['id'])) {
$fr_in = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_contact` WHERE `type`='2' AND `from_id`='$user_id' AND `user_id`='{$user['id']}' AND `friends`!='1'"), 0);
$fr_out = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_contact` WHERE `type`='2' AND `user_id`='$user_id' AND `from_id`='{$user['id']}' AND `friends`='1'"), 0);
if ($fr_in == 1) {
$friend = '<a class="underline" href="/users/profile.php?act=banbe&amp;do=ok&amp;id=' . $user['id'] . '">' . $lng_profile['confirm_friendship'] . '</a> | <a class="underline" href="/users/profile.php?act=banbe&amp;do=no&amp;id=' . $user['id'] . '">' . $lng_profile['decline_friendship'] . '</a>';
} else if ($fr_out == 1) {
$friend = '<a class="underline" href="/users/profile.php?act=banbe&amp;do=cancel&amp;id=' . $user['id'] . '">' . $lng_profile['canceled_demand_friend'] . '</a>';
} else {
$friend = '<a id="submit" href="/users/profile.php?act=banbe&amp;do=add&amp;id=' . $user['id'] . '">' . $lng_profile['in_friend'] . '</a>';
}
} else {
$friend = '<a id="submit" href="/users/profile.php?act=banbe&amp;do=delete&amp;id=' . $user['id'] . '">' . $lng_profile['remov_friend'] . '</a>';
}
echo '<div class="main-xmenu">'.$friend.'</div>';
}
}
$users=$user['id'];
include 'wall.php';

if ($users != $user_id && $user_id){
$g = mysql_result(mysql_query("SELECT COUNT(*) FROM `my_guests` WHERE `my_id` = '" . $users . "' AND `guest_id` = '" . $user_id . "' LIMIT 1"), 0);
if (!empty($g)) {
@mysql_query("UPDATE `my_guests` SET `time` = '" . $time . "', `type` = '0',
`xem` = `xem` +1  WHERE `my_id` = '" . $users . "' AND `guest_id` = '" . $user_id . "';");
} else {
@mysql_query("INSERT INTO `my_guests` SET
`my_id` = '" . $users . "',
`time` = '" . $time . "',
`guest_id` = '" . $user_id . "',
`xem` = '1',
`type` = '0'");
}
//Фиксация просмотра анкеты
$p_ank = mysql_fetch_array(mysql_query("SELECT `prosm_ank` FROM `users` WHERE `id` = '" . $users . "'"), 0);
$i_ank = intval($p_ank['prosm_ank']);
$r_ank = $i_ank + 1;
@mysql_query("UPDATE `users` SET `prosm_ank` = '" . $r_ank . "' WHERE `id` = '" . $users . "';");
echo '<div class="main-xmenu"><img src="/icon/giaitri.gif" width="16" height="16"/>&#160;<span class="gray">Người xem nhà (' . $r_ank . ')</span></div>';
} else {
//Ссылка на страницу гостей для владельца анкеты
$all_guests = @mysql_result(@mysql_query("SELECT COUNT(*) FROM `my_guests` WHERE `my_id` = '" . $user_id . "';"), 0);
$new_guests = @mysql_result(@mysql_query("SELECT COUNT(*) FROM `my_guests` WHERE `my_id` = '" . $user_id . "' AND `type` = '0';"), 0);
echo '<div class="main-xmenu"><img src="/icon/giaitri.gif" width="16" height="16"/>&#160;<a href="' . $home . '/users/my_guests.php?">Ai xem nhà tôi</a>&nbsp;(' . $all_guests . ($new_guests > 0 ? '/<span class="red">' . $new_guests . '</span>' : '') . ')</div>';
}

require_once('../incfiles/end.php');
