<?php
/**
 * @package     JohnCMSVN
 * @link        http://johncmsvn.com
 * @copyright   Copyright (C) 2008-2011 JohnCMS Community
 * @license     LICENSE.txt (see attached file)
 * @version     VERSION.txt (see attached file)
 * @author      http://johncmsvn.com/about
 */
defined('_IN_JOHNADM') or die('Error: restricted access');
define('ROOT_DIR', '..');
if ($rights < 7) {
    header('Location: http://johncmsvn.com/');
    exit;
}
echo '<div class="main-xmenu">';
class scaner {
    /*
    -----------------------------------------------------------------
    Сканер - антишпион
    -----------------------------------------------------------------
    */
    public $scan_folders = array (
        '',
        '/files',
        '/congvien',
        '/images',
        '/incfiles',
        '/install',
        '/mail',
        '/news',
        '/pages',
        '/panel',
        '/sitemap',
        '/theme',
        '/users'
    );
    public $good_files = array (
        '../.htaccess',
        '../dangnhap.php',
        '../captcha.php',
        '../dongcua.php',
        '../thoat.php',
        '../go.php',
        '../index.php',
        '../dangky.php',
		'../loi.php',
		'../lienhe.php',
		'../smile.php',
		'../timkiem.php',
		
        '../files/.htaccess',
        '../files/cache/.htaccess',
        '../files/forum/attach/index.php',
        '../files/forum/index.php',
        '../files/forum/topics/index.php',
        '../files/library/index.php',
        '../files/lng_edit/index.php',
        '../files/mail/index.php',
        '../files/users/album/index.php',
        '../files/users/avatar/index.php',
        '../files/users/index.php',
        '../files/users/photo/index.php',
        '../files/users/pm/index.php',
		
        '../guestbook/index.php',
		
        '../images/captcha/.htaccess',
        '../images/index.php',
        '../images/smileys/admin/index.php',
        '../images/smileys/index.php',
        '../images/smileys/user/index.php',
		
        '../incfiles/.htaccess',
        '../incfiles/classes/bbcode.php',
        '../incfiles/classes/comments.php',
        '../incfiles/classes/core.php',
        '../incfiles/classes/counters.php',
        '../incfiles/classes/functions.php',
        '../incfiles/classes/mainpage.php',
        '../incfiles/classes/sitemap.php',
        '../incfiles/core.php',
        '../incfiles/db.php',
        '../incfiles/end.php',
        '../incfiles/func.php',
		'../incfiles/func.ua.php',
        '../incfiles/head.php',
        '../incfiles/index.php',
        '../incfiles/lib/class.upload.php',
        '../incfiles/lib/mp3.php',
        '../incfiles/lib/pclerror.lib.php',
        '../incfiles/lib/pcltar.lib.php',
        '../incfiles/lib/pcltrace.lib.php',
        '../incfiles/lib/pclzip.lib.php',
        '../incfiles/lib/pear.php',
		
        '../mail/includes/delete.php',
        '../mail/includes/deluser.php',
        '../mail/includes/files.php',
        '../mail/includes/ignor.php',
        '../mail/includes/input.php',
        '../mail/includes/load.php',
        '../mail/includes/new.php',
        '../mail/includes/output.php',
        '../mail/includes/systems.php',
        '../mail/includes/write.php',
        '../mail/index.php',
        '../news/index.php',
		
        '../pages/faq.php',
        '../pages/index.php',
        '../pages/mainmenu.php',
		
        '../panel/includes/ads.php',
        '../panel/includes/access.php',
        '../panel/includes/antiflood.php',
        '../panel/includes/antispy.php',
        '../panel/includes/ban_panel.php',
        '../panel/includes/counters.php',
        '../panel/includes/ipban.php',
        '../panel/includes/ip_whois.php',
        '../panel/includes/languages.php',
        '../panel/includes/mail.php',
        '../panel/includes/news.php',
        '../panel/includes/reg.php',
        '../panel/includes/search_ip.php',
        '../panel/includes/settings.php',
        '../panel/includes/sitemap.php',
        '../panel/includes/smileys.php',
        '../panel/includes/usr.php',
        '../panel/includes/usr_adm.php',
        '../panel/includes/usr_clean.php',
        '../panel/includes/usr_del.php',
        '../panel/index.php',

		'../avatar.php',
		'../congvien/antrom.php',
		'../congvien/bot.php',
		'../congvien/botnham.php',
		'../congvien/botpanel.php',
		'../congvien/bot_phat.php',
		'../congvien/index.php',
		'../congvien/quay_bot.php',
		'../congvien/thayphan.php',
		'../images/canh/index.php',
		'../images/docamtay/index.php',
		'../images/matna/index.php',
		'../images/non/index.php',
		'../images/thucung/index.php',
		'../images/toc/index.php',

        '../users/danh-sach.php',
		'../users/groups.php',
        '../users/thongbao.php',
		'../users/mypost.php',
        '../users/includes/admlist.php',

        '../users/includes/birth.php',
        '../users/includes/online.php',
        '../users/includes/profile/chantruycap.php',
        '../users/includes/profile/chinhsua.php',
        '../users/includes/profile/banbe.php',
        '../users/includes/profile/canhan.php',
        '../users/includes/profile/matkhau.php',
        '../users/includes/profile/caidat.php',
        '../users/timkiem.php',
        '../users/includes/top.php',
        '../users/includes/userlist.php',
        '../users/profile.php',
        '../users/laymk.php'
    );
    public $snap_base = 'scan_snapshot.dat';
    public $snap_files = array ();
    public $bad_files = array ();
    public $snap = false;
    public $track_files = array ();
    private $checked_folders = array ();
    private $cache_files = array ();
    function scan() {
        // Сканирование на соответствие дистрибутиву
        foreach ($this->scan_folders as $data) {
            $this->scan_files(ROOT_DIR . $data);
        }
    }
    function snapscan() {
        // Сканирование по образу
        if (file_exists('../files/cache/' . $this->snap_base)) {
            $filecontents = file('../files/cache/' . $this->snap_base);
            foreach ($filecontents as $name => $value) {
                $filecontents[$name] = explode("|", trim($value));
                $this->track_files[$filecontents[$name][0]] = $filecontents[$name][1];
            }
            $this->snap = true;
        }

        foreach ($this->scan_folders as $data) {
            $this->scan_files(ROOT_DIR . $data);
        }
    }
    function snap() {
        // Добавляем снимок надежных файлов в базу
        foreach ($this->scan_folders as $data) {
            $this->scan_files(ROOT_DIR . $data, true);
        }
        $filecontents = "";

        foreach ($this->snap_files as $idx => $data) {
            $filecontents .= $data['file_path'] . "|" . $data['file_crc'] . "\r\n";
        }
        $filehandle = fopen('../files/cache/' . $this->snap_base, "w+");
        fwrite($filehandle, $filecontents);
        fclose($filehandle);
        @chmod('../files/cache/' . $this->snap_base, 0666);
    }
    function scan_files($dir, $snap = false) {
        // Служебная функция сканирования
        if (!isset($file))
            $file = false;
        $this->checked_folders[] = $dir . '/' . $file;

        if ($dh = @opendir($dir)) {
            while (false !== ($file = readdir($dh))) {
                if ($file == '.' or $file == '..' or $file == '.svn' or $file == '.DS_store') {
                    continue;
                }
                if (is_dir($dir . '/' . $file)) {
                    if ($dir != ROOT_DIR)
                        $this->scan_files($dir . '/' . $file, $snap);
                } else {
                    if ($this->snap or $snap)
                        $templates = "|tpl";
                    else
                        $templates = "";
                    if (preg_match("#.*\.(php|cgi|pl|perl|php3|php4|php5|php6|phtml|py|htaccess" . $templates . ")$#i", $file)) {
                        $folder = str_replace("../..", ".", $dir);
                        $file_size = filesize($dir . '/' . $file);
                        $file_crc = strtoupper(dechex(crc32(file_get_contents($dir . '/' . $file))));
                        $file_date = date("d.m.Y H:i:s", filectime($dir . '/' . $file));
                        if ($snap) {
                            $this->snap_files[] = array (
                                'file_path' => $folder . '/' . $file,
                                'file_crc' => $file_crc
                            );
                        } else {
                            if ($this->snap) {
                                if ($this->track_files[$folder . '/' . $file] != $file_crc and !in_array($folder . '/' . $file, $this->cache_files))
                                    $this->bad_files[] = array (
                                        'file_path' => $folder . '/' . $file,
                                        'file_name' => $file,
                                        'file_date' => $file_date,
                                        'type' => 1,
                                        'file_size' => $file_size
                                    );
                            } else {
                                if (!in_array($folder . '/' . $file, $this->good_files) or $file_size > 300000)
                                    $this->bad_files[] = array (
                                        'file_path' => $folder . '/' . $file,
                                        'file_name' => $file,
                                        'file_date' => $file_date,
                                        'type' => 0,
                                        'file_size' => $file_size
                                    );
                            }
                        }
                    }
                }
            }
        }
    }
}
$scaner = new scaner();
switch ($mod) {
    case 'scan':
        /*
        -----------------------------------------------------------------
        Сканируем на соответствие дистрибутиву
        -----------------------------------------------------------------
        */
        $scaner->scan();
        echo '<div class="danhmuc"><a href="index.php?act=antispy"><b>' . $lng['antispy'] . '</b></a> › ' . $lng['antispy_dist_scan'] . '</div>';
        if (count($scaner->bad_files)) {
            echo '<div class="menu list-top"><small>' . $lng['antispy_dist_scan_bad'] . '</small></div>';
            echo '<div class="menu list-top">';
            foreach ($scaner->bad_files as $idx => $data) {
                echo $data['file_path'] . '';
            }
            echo '</div><div class="menu list-top">' . $lng['total'] . ': ' . count($scaner->bad_files) . '</div>';
        } else {
            echo '<div class="menu list-top">' . $lng['antispy_dist_scan_good'] . '</div>';
        }
        echo '<div class="menu list-top"><a href="index.php?act=antispy&amp;mod=scan">' . $lng['antispy_rescan'] . '</a></div>';
        break;

    case 'snapscan':
        /*
        -----------------------------------------------------------------
        Сканируем на соответствие ранее созданному снимку
        -----------------------------------------------------------------
        */
        $scaner->snapscan();
        echo '<div class="danhmuc"><a href="index.php?act=antispy"><b>' . $lng['antispy'] . '</b></a> › ' . $lng['antispy_snapshot_scan'] . '</div>';
        if (count($scaner->track_files) == 0) {
            echo functions::display_error($lng['antispy_no_snapshot'], '<a href="index.php?act=antispy&amp;mod=snap">' . $lng['antispy_snapshot_create'] . '</a>');
        } else {
            if (count($scaner->bad_files)) {
                echo '<div class="menu list-top">' . $lng['antispy_snapshot_scan_bad'] . '</div>';
                echo '<div class="menu list-top">';
                foreach ($scaner->bad_files as $idx => $data) {
                    echo $data['file_path'] . '';
                }
                echo '</div>';
            } else {
                echo '<div class="menu list-top">' . $lng['antispy_snapshot_scan_ok'] . '</div>';
            }
            echo '<div class="menu list-top">' . $lng['total'] . ': ' . count($scaner->bad_files) . '</div>';
        }
        break;

    case 'snap':
        /*
        -----------------------------------------------------------------
        Создаем снимок файлов
        -----------------------------------------------------------------
        */
        echo '<div class="danhmuc"><a href="index.php?act=antispy"><b>' . $lng['antispy'] . '</b></a> › ' . $lng['antispy_snapshot_create'] . '</div>';
        if (isset($_POST['submit'])) {
            $scaner->snap();
            echo '<div class="menu list-top">' . $lng['antispy_snapshot_create_ok'] . '</div>' .
                '<div class="menu list-top"><a href="index.php?act=antispy">' . $lng['continue'] . '</a></div>';
        } else {
            echo '<form action="index.php?act=antispy&amp;mod=snap" method="post">' .
                '<div class="menu list-top">' . $lng['antispy_snapshot_warning'] . '</div>' .
                '<div class="menu list-top"><input type="submit" name="submit" value="' . $lng['antispy_snapshot_create'] . '" /></div>' .
                '</form>' .
                '<div class="menu list-top"><small>' . $lng['antispy_snapshot_help'] . '</small></div>';
        }
        break;

    default:
        /*
        -----------------------------------------------------------------
        Главное меню Сканера
        -----------------------------------------------------------------
        */
        echo '<div class="danhmuc"><a href="index.php"><b>' . $lng['admin_panel'] . '</b></a> › ' . $lng['antispy'] . '</div>' .
            '<div class="menu list-top"><h3>' . $lng['antispy_scan_mode'] . '</h3></div>' .
            '<div class="menu list-top"><a href="index.php?act=antispy&amp;mod=scan">' . $lng['antispy_dist_scan'] . '</a></div>' .
            '<div class="menu list-top"><small>' . $lng['antispy_dist_scan_help'] . '</small></div>' .
            '<div class="menu list-top"><a href="index.php?act=antispy&amp;mod=snapscan">' . $lng['antispy_snapshot_scan'] . '</a></div>' .
            '<div class="menu list-top"><small>' . $lng['antispy_snapshot_scan_help'] . '</small></div>' .
            '<div class="menu list-top"><a href="index.php?act=antispy&amp;mod=snap">' . $lng['antispy_snapshot_create'] . '</a></div>' .
            '<div class="menu list-top"><small>' . $lng['antispy_snapshot_create_help'] . '</small></div>';
}
echo '<div class="menu list-top">' . ($mod ? '<a href="index.php?act=antispy">' . $lng['antispy_menu'] . '</a><br />' : '') . '<a href="index.php">' . $lng['admin_panel'] . '</a></div>';
echo '</div>';
?>