<?php
/**
 * @package     JohnCMSVN
 * @link        http://johncmsvn.com
 * @copyright   Copyright (C) 2014 JohnCMSVN Community
 * @license     LICENSE.txt (see attached file)
 * @version     VERSION.txt (see attached file)
 * @author      Văn Việt
 */

defined('_IN_JOHNADM') or die('Error: restricted access');

// Проверяем права доступа
if ($rights < 7) {
    header('Location: http://johncmsvn.com');
    exit;
}
echo '<div class="main-xmenu">';
echo '<div class="danhmuc"><a href="index.php"><b>' . $lng['admin_panel'] . '</b></a> › ' . $lng['site_settings'] . '</div>';
if (isset($_POST['submit'])) {
    /*
    -----------------------------------------------------------------
    Сохраняем настройки системы
    -----------------------------------------------------------------
    */
    mysql_query("UPDATE `cms_settings` SET `val`='" . functions::check($_POST['skindef']) . "' WHERE `key` = 'skindef'");
    mysql_query("UPDATE `cms_settings` SET `val`='" . mysql_real_escape_string(htmlspecialchars($_POST['madm'])) . "' WHERE `key` = 'email'");
    mysql_query("UPDATE `cms_settings` SET `val`='" . intval($_POST['timeshift']) . "' WHERE `key` = 'timeshift'");
    mysql_query("UPDATE `cms_settings` SET `val`='" . functions::check($_POST['copyright']) . "' WHERE `key` = 'copyright'");
    mysql_query("UPDATE `cms_settings` SET `val`='" . functions::check(preg_replace("#/$#", '', trim($_POST['homeurl']))) . "' WHERE `key` = 'homeurl'");
    mysql_query("UPDATE `cms_settings` SET `val`='" . intval($_POST['flsz']) . "' WHERE `key` = 'flsz'");
    mysql_query("UPDATE `cms_settings` SET `val`='" . isset($_POST['gz']) . "' WHERE `key` = 'gzip'");
    mysql_query("UPDATE `cms_settings` SET `val`='" . functions::check($_POST['meta_key']) . "' WHERE `key` = 'meta_key'");
    mysql_query("UPDATE `cms_settings` SET `val`='" . functions::check($_POST['meta_desc']) . "' WHERE `key` = 'meta_desc'");
    $req = mysql_query("SELECT * FROM `cms_settings`");
    $set = array ();
    while ($res = mysql_fetch_row($req)) $set[$res[0]] = $res[1];
    echo '<div class="menu list-top">' . $lng['settings_saved'] . '</div>';
}
/*
-----------------------------------------------------------------
Форма ввода параметров системы
-----------------------------------------------------------------
*/
echo '<form action="index.php?act=settings" method="post">';
// Общие настройки
echo '<div class="menu list-top"><h3>' . $lng['common_settings'] . '</h3></div>
<div class="menu list-top">' .
    $lng['site_url'] . ':</div>
	<div class="menu list-top">' . '<input type="text" name="homeurl" value="' . htmlentities($set['homeurl']) . '"/></div>
	<div class="menu list-top">' .
    $lng['site_copyright'] . ':</div>
	<div class="menu list-top">' . '<input type="text" name="copyright" value="' . htmlentities($set['copyright'], ENT_QUOTES, 'UTF-8') . '"/></div>
	<div class="menu list-top">' .
    $lng['site_email'] . ':<div/>
	<div class="menu list-top">' . '<input name="madm" maxlength="50" value="' . htmlentities($set['email']) . '"/></div>
	<div class="menu list-top">' .
    $lng['file_maxsize'] . ' (kb):</div>
	<div class="menu list-top">' . '<input type="text" name="flsz" value="' . intval($set['flsz']) . '"/></div>' .
    '<div class="menu list-top"><input name="gz" type="checkbox" value="1" ' . ($set['gzip'] ? 'checked="checked"' : '') . ' />&#160;' . $lng['gzip_compress'] .
    '</div>';
// Настройка времени
echo '<div class="menu list-top"><h3>' . $lng['clock_settings'] . '</h3></div>' .
    '<div class="menu list-top"><input type="text" name="timeshift" size="2" maxlength="3" value="' . $set['timeshift'] . '"/> ' . $lng['time_shift'] . ' (+-12)</div>' .
    '<div class="menu list-top"><span style="font-weight:bold; background-color:#C0FFC0">' . date("H:i", time() + $set['timeshift'] * 3600) . '</span> ' . $lng['system_time'] .
    '</div>
	<div class="menu list-top"><span style="font-weight:bold; background-color:#FFC0C0">' . date("H:i") . '</span> ' . $lng['server_time'] .
    '</div>';
// META тэги
echo '<div class="menu list-top"><h3>' . $lng['meta_tags'] . '</h3></div>' .
    '<div class="menu list-top">&#160;' . $lng['meta_keywords'] . ':</div>
	<div class="menu list-top">&#160;<textarea rows="' . $set_user['field_h'] . '" name="meta_key">' . $set['meta_key'] . '</textarea></div>' .
    '<div class="menu list-top">&#160;' . $lng['meta_description'] . ':</div>
	<div class="menu list-top">&#160;<textarea rows="' . $set_user['field_h'] . '" name="meta_desc">' . $set['meta_desc'] . '</textarea>' .
    '</div>';
// Выбор темы оформления
echo '<div class="menu list-top"><h3>' . $lng['design_template'] . '</h3></div>
<div class="menu list-top">&#160;<select name="skindef">';
$dir = opendir('../theme');
while ($skindef = readdir($dir)) {
    if (($skindef != '.') && ($skindef != '..') && ($skindef != '.svn')) {
        $skindef = str_replace('.css', '', $skindef);
        echo '<option' . ($set['skindef'] == $skindef ? ' selected="selected">' : '>') . $skindef . '</option>';
    }
}
closedir($dir);
echo '</select></div>' .
    '<div class="menu list-top"><input type="submit" name="submit" value="' . $lng['save'] . '"/></div></form>' .
    '<div class="menu list-top"><a href="index.php">' . $lng['admin_panel'] . '</a></div>';
	echo '</div></div></div>';
?>